# Dotfiles repository

## Introduction
* Dotfiles are managed using the 'bare repos' method, as described here; [Ask HN: What do you use to manage dotfiles?](https://news.ycombinator.com/item?id=11070797).
A clear description of the process can be found here; <https://github.com/anandpiyer/.dotfiles/tree/master/.dotfiles>.

## My Process

* For my future reference, this is my specific process;

### Initial setup

```
$ git init --bare $HOME/.dotfiles
$ alias bare='/usr/bin/git --git-dir=$HOME/.dotfiles/ --work-tree=$HOME'
$ bare config status.showUntrackedFiles no
$ bare remote add origin ssh://git@git.radar231.com:222/radar231/dotfiles.git
$ bare push -u origin main
```

### Adding files to track and commiting to repo

```
$ bare add .bashrc
$ bare status
$ bare commit -m "initial checkin"
$ bare push
```

### Setup a new machine

```
$ git clone --separate-git-dir=$HOME/.dotfiles git@git.lan:radar231/dotfiles.git tmpdotfiles
$ rsync --recursive --verbose --exclude '.git' tmpdotfiles/ $HOME/
$ rm -r tmpdotfiles
```

